Thank you for your donation!


Official moOde 7.0.0 subthread [Plugins] (e.g. UPNP)
#41
(01-12-2021, 02:12 PM)Tim Curtis Wrote: @TheOldPresbyope, JF sent a new Python3 based albumart utility. I forwarded you the emails :-)

We should plan to convert to that util from upexplorer. It also saves having to compile the samples.

Fantastic. Not only code we need but code I can read!

I’ll check it out in a bit.

Regards,
Kent
Reply
#42
(01-12-2021, 02:47 PM)TheOldPresbyope Wrote:
(01-12-2021, 02:12 PM)Tim Curtis Wrote: @TheOldPresbyope, JF sent a new Python3 based albumart utility. I forwarded you the emails :-)

We should plan to convert to that util from upexplorer. It also saves having to compile the samples.

Fantastic. Not only code we need but code I can read!

I’ll check it out in a bit.

Regards,
Kent

any update so far?
Reply
#43
Works ok on my end testing with miniDLNA server. Linn Kazoo and UPnP Config set to Openhome services = yes.
- upmpdcli 1.5.8
- python album art fetcher
Enjoy the Music!
moodeaudio.org | Twitter Feed | Git Repo
Reply
#44
(01-17-2021, 02:54 PM)Tim Curtis Wrote: Works ok on my end testing with miniDLNA server. Linn Kazoo and UPnP Config set to Openhome services = yes.
- upmpdcli 1.5.8
- python album art fetcher

is this what the changed build recipe is having here:
Code:
sudo cp ./moode/other/upmpdcli/libupnpp-bindings-0.20.1.tar.gz ./
sudo tar xfz libupnpp-bindings-0.20.1.tar.gz
cd libupnpp-bindings-0.20.1
sudo ./configure --prefix=/usr PYTHON_VERSION=3
sudo make
sudo make install
cd ~
sudo rm -rf ./libupnpp-bindings-0.20.1
??


if yes, I would test too.
Reply
#45
That's just the prereq.

The new script is /var/www/command/upnp_albumart.py

Regards,
Kent
Reply
#46
(01-17-2021, 08:56 PM)TheOldPresbyope Wrote: That's just the prereq.

The new script is /var/www/command/upnp_albumart.py

Regards,
Kent

ok. thanks.
Reply
#47
(01-17-2021, 09:00 PM)zOr7gA8 Wrote:
(01-17-2021, 08:56 PM)TheOldPresbyope Wrote: That's just the prereq.

The new script is /var/www/command/upnp_albumart.py

Regards,
Kent

ok. thanks.


Oops, sorry. I forgot to mention that a line in /var/www/inc/playerlib.php was modified to call this new script.
Reply
#48
Right, you'll need

1. The recipe to build and install libupnpp-bindings-0.20.1
2. /var/www/command/upnp_albumart.py
3. /var/www/inc/playerlib.php

Optionally the recipe to build and install upmpdcli 1.5.8
Enjoy the Music!
moodeaudio.org | Twitter Feed | Git Repo
Reply
#49
(01-17-2021, 09:48 PM)Tim Curtis Wrote: Right, you'll need

1. The recipe to build and install libupnpp-bindings-0.20.1
2. /var/www/command/upnp_albumart.py
3. /var/www/inc/playerlib.php

Optionally the recipe to build and install upmpdcli 1.5.8

can' test this. with files for 2. and 3. taken out of git (moode-develop) I get an mpd error. no playback.
Reply
#50
(01-19-2021, 04:32 PM)zOr7gA8 Wrote:
(01-17-2021, 09:48 PM)Tim Curtis Wrote: Right, you'll need

1. The recipe to build and install libupnpp-bindings-0.20.1
2. /var/www/command/upnp_albumart.py
3. /var/www/inc/playerlib.php

Optionally the recipe to build and install upmpdcli 1.5.8

can' test this. with files for 2. and 3. taken out of git (moode-develop) I get an mpd error. no playback.

I'm away from my test system so can't comment on details.

In general, it's a bad idea to cherrypick important system files like playerlib.php from the github develop branch. It may contain many commits since the last release, one or more of which may be pertinent to this specific issue but also others which are not pertinent but which depend on commits made to other files too.

When I tested the upnp_albumart.py script I edited only the line in my working playerlib.php which invoked the previous script, upexplorer.

Regards,
Kent
Reply


Forum Jump: